- Overview
- Reference Guide
- Setup & Architecture
- Release Notes
- Workflow
- API Reference
- Integration Guide
- Discovery Agent Setup Guide
Google Cloud (GCP)
The GCP endpoints upload Google Cloud service account credentials, list projects and service accounts, and generate External Account Binding (EAB) credentials for Google Public CA.
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /gcp/generate-eab/{project_id} | Generate EAB credentials. |
| GET | /gcp/project-ids | List GCP project IDs. |
| GET | /gcp/projects/{project_id} | Get GCP project detail. |
| GET | /gcp/service-accounts | List GCP service accounts. |
| POST | /gcp/upload-service-account | Upload GCP service account JSON. |
GET /gcp/generate-eab/{project_id}
Generates External Account Binding (EAB) credentials for Google Public CA in a project.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
project_id |
Path | string | Yes | Google Cloud project ID. |
Example Request
curl -X GET "https://<certsecure-backend-url>/gcp/generate-eab/<project_id>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | EAB key. |
GET /gcp/project-ids
Lists the Google Cloud project IDs.
Example Request
curl -X GET "https://<certsecure-backend-url>/gcp/project-ids" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Projects. |
GET /gcp/projects/{project_id}
Returns the details of a Google Cloud project.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
project_id |
Path | string | Yes | Google Cloud project ID. |
Example Request
curl -X GET "https://<certsecure-backend-url>/gcp/projects/<project_id>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Project. |
GET /gcp/service-accounts
Lists the uploaded Google Cloud service accounts.
Example Request
curl -X GET "https://<certsecure-backend-url>/gcp/service-accounts" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Accounts. |
POST /gcp/upload-service-account
Uploads the JSON key file of a Google Cloud service account.
Request Body (multipart/form-data)
| Field | Type | Required | Description |
|---|---|---|---|
file |
file | Yes | File to upload. |
Example Request
curl -X POST "https://<certsecure-backend-url>/gcp/upload-service-account" \
-H "Authorization: Bearer <token>" \
-F "file=@<file>"
Responses
| Status Code | Description |
|---|---|
| 200 | Uploaded. |